.note-editor {
	position: relative;
	overflow: hidden;
	border: 1px solid #a9a9a9
}

.note-editor .note-dropzone {
	position: absolute;
	z-index: 100;
	display: none;
	color: #87cefa;
	background-color: white;
	opacity: .95;
	pointer-event: none
}

.note-editor .note-dropzone .note-dropzone-message {
	display: table-cell;
	font-size: 28px;
	font-weight: bold;
	text-align: center;
	vertical-align: middle
}

.note-editor .note-dropzone.hover {
	color: #098ddf
}

.note-editor.dragover .note-dropzone {
	display: table
}

.note-editor.codeview .note-editing-area .note-editable {
	display: none
}

.note-editor.codeview .note-editing-area .note-codable {
	display: block
}

.note-editor.fullscreen {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1050;
	width: 100%
}

.note-editor.fullscreen .note-editable {
	background-color: white
}

.note-editor.fullscreen .note-resizebar {
	display: none
}

.note-editor .note-editing-area {
	position: relative;
	overflow: hidden
}

.note-editor .note-editing-area .note-editable {
	padding: 10px;
	overflow: auto;
	color: #000;
	background-color: #fff;
	outline: 0
}

.note-editor .note-editing-area .note-editable[contenteditable=true]:empty:not(:focus):before {
	content: attr(data-placeholder)
}

.note-editor .note-editing-area .note-editable[contenteditable="false"] {
	background-color: #e5e5e5
}

.note-editor .note-editing-area .note-codable {
	display: none;
	width: 100%;
	padding: 10px;
	margin-bottom: 0;
	font-family: Menlo, Monaco, monospace, sans-serif;
	font-size: 14px;
	color: #ccc;
	background-color: #222;
	border: 0;
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
	box-shadow: none;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	resize: none
}

.note-editor .note-statusbar {
	background-color: #f5f5f5
}

.note-editor .note-statusbar .note-resizebar {
	width: 100%;
	height: 8px;
	padding-top: 1px;
	cursor: ns-resize
}

.note-editor .note-statusbar .note-resizebar .note-icon-bar {
	width: 20px;
	margin: 1px auto;
	border-top: 1px solid #a9a9a9
}

.note-air-editor {
	outline: 0
}

.note-popover .popover {
	max-width: none
}

.note-popover .popover .popover-content a {
	display: inline-block;
	max-width: 200px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	vertical-align: middle
}

.note-popover .popover .arrow {
	left: 20px
}

.note-popover .popover .popover-content,
.panel-heading.note-toolbar {
	padding: 0 0 5px 5px;
	margin: 0
}

.note-popover .popover .popover-content>.btn-group,
.panel-heading.note-toolbar>.btn-group {
	margin-top: 5px;
	margin-right: 5px;
	margin-left: 0
}

.note-popover .popover .popover-content .btn-group .note-table,
.panel-heading.note-toolbar .btn-group .note-table {
	min-width: 0;
	padding: 5px
}

.note-popover .popover .popover-content .btn-group .note-table .note-dimension-picker,
.panel-heading.note-toolbar .btn-group .note-table .note-dimension-picker {
	font-size: 18px
}

.note-popover .popover .popover-content .btn-group .note-table .note-dimension-picker .note-dimension-picker-mousecatcher,
.panel-heading.note-toolbar .btn-group .note-table .note-dimension-picker .note-dimension-picker-mousecatcher {
	position: absolute!important;
	z-index: 3;
	width: 10em;
	height: 10em;
	cursor: pointer
}

.note-popover .popover .popover-content .btn-group .note-table .note-dimension-picker .note-dimension-picker-unhighlighted,
.panel-heading.note-toolbar .btn-group .note-table .note-dimension-picker .note-dimension-picker-unhighlighted {
	position: relative!important;
	z-index: 1;
	width: 5em;
	height: 5em;
	background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASAgMAAAAroGbEAAAACVBMVEUAAIj4+Pjp6ekKlAqjAAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfYAR0BKhmnaJzPAAAAG0lEQVQI12NgAAOtVatWMTCohoaGUY+EmIkEAEruEzK2J7tvAAAAAElFTkSuQmCC') repeat
}

.note-popover .popover .popover-content .btn-group .note-table .note-dimension-picker .note-dimension-picker-highlighted,
.panel-heading.note-toolbar .btn-group .note-table .note-dimension-picker .note-dimension-picker-highlighted {
	position: absolute!important;
	z-index: 2;
	width: 1em;
	height: 1em;
	background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASAgMAAAAroGbEAAAACVBMVEUAAIjd6vvD2f9LKLW+AAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfYAR0BKwNDEVT0AAAAG0lEQVQI12NgAAOtVatWMTCohoaGUY+EmIkEAEruEzK2J7tvAAAAAElFTkSuQmCC') repeat
}

.note-popover .popover .popover-content .note-style h1,
.panel-heading.note-toolbar .note-style h1,
.note-popover .popover .popover-content .note-style h2,
.panel-heading.note-toolbar .note-style h2,
.note-popover .popover .popover-content .note-style h3,
.panel-heading.note-toolbar .note-style h3,
.note-popover .popover .popover-content .note-style h4,
.panel-heading.note-toolbar .note-style h4,
.note-popover .popover .popover-content .note-style h5,
.panel-heading.note-toolbar .note-style h5,
.note-popover .popover .popover-content .note-style h6,
.panel-heading.note-toolbar .note-style h6,
.note-popover .popover .popover-content .note-style blockquote,
.panel-heading.note-toolbar .note-style blockquote {
	margin: 0
}

.note-popover .popover .popover-content .note-color .dropdown-toggle,
.panel-heading.note-toolbar .note-color .dropdown-toggle {
	width: 20px;
	padding-left: 5px
}

.note-popover .popover .popover-content .note-color .dropdown-menu,
.panel-heading.note-toolbar .note-color .dropdown-menu {
	min-width: 340px
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group {
	margin: 0
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group:first-child,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group:first-child {
	margin: 0 5px
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group .note-palette-title,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group .note-palette-title {
	margin: 2px 7px;
	font-size: 12px;
	text-align: center;
	border-bottom: 1px solid #eee
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group .note-color-reset,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group .note-color-reset {
	padding: 0 3px;
	margin: 3px;
	font-size: 11px;
	cursor: pointer;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group .note-color-row,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group .note-color-row {
	height: 20px
}

.note-popover .popover .popover-content .note-color .dropdown-menu .btn-group .note-color-reset:hover,
.panel-heading.note-toolbar .note-color .dropdown-menu .btn-group .note-color-reset:hover {
	background: #eee
}

.note-popover .popover .popover-content .note-para .dropdown-menu,
.panel-heading.note-toolbar .note-para .dropdown-menu {
	min-width: 216px;
	padding: 5px
}

.note-popover .popover .popover-content .note-para .dropdown-menu>div:first-child,
.panel-heading.note-toolbar .note-para .dropdown-menu>div:first-child {
	margin-right: 5px
}

.note-popover .popover .popover-content .dropdown-menu,
.panel-heading.note-toolbar .dropdown-menu {
	min-width: 90px
}

.note-popover .popover .popover-content .dropdown-menu.right,
.panel-heading.note-toolbar .dropdown-menu.right {
	right: 0;
	left: auto
}

.note-popover .popover .popover-content .dropdown-menu.right::before,
.panel-heading.note-toolbar .dropdown-menu.right::before {
	right: 9px;
	left: auto!important
}

.note-popover .popover .popover-content .dropdown-menu.right::after,
.panel-heading.note-toolbar .dropdown-menu.right::after {
	right: 10px;
	left: auto!important
}

.note-popover .popover .popover-content .dropdown-menu.note-check li a i,
.panel-heading.note-toolbar .dropdown-menu.note-check li a i {
	color: deepskyblue;
	visibility: hidden
}

.note-popover .popover .popover-content .dropdown-menu.note-check li a.checked i,
.panel-heading.note-toolbar .dropdown-menu.note-check li a.checked i {
	visibility: visible
}

.note-popover .popover .popover-content .note-fontsize-10,
.panel-heading.note-toolbar .note-fontsize-10 {
	font-size: 10px
}

.note-popover .popover .popover-content .note-color-palette,
.panel-heading.note-toolbar .note-color-palette {
	line-height: 1
}

.note-popover .popover .popover-content .note-color-palette div .note-color-btn,
.panel-heading.note-toolbar .note-color-palette div .note-color-btn {
	width: 20px;
	height: 20px;
	padding: 0;
	margin: 0;
	border: 1px solid #fff
}

.note-popover .popover .popover-content .note-color-palette div .note-color-btn:hover,
.panel-heading.note-toolbar .note-color-palette div .note-color-btn:hover {
	border: 1px solid #000
}

.note-dialog>div {
	display: none
}

.note-dialog .form-group {
	margin-right: 0;
	margin-left: 0
}

.note-dialog .note-modal-form {
	margin: 0
}

.note-dialog .note-image-dialog .note-dropzone {
	min-height: 100px;
	margin-bottom: 10px;
	font-size: 30px;
	line-height: 4;
	color: lightgray;
	text-align: center;
	border: 4px dashed lightgray
}

.note-dialog .note-help-dialog {
	font-size: 12px;
	color: #ccc;
	background: transparent;
	background-color: #222!important;
	border: 0;
	-webkit-opacity: .9;
	-khtml-opacity: .9;
	-moz-opacity: .9;
	opacity: .9;
	-ms-filter: alpha(opacity=90);
	filter: alpha(opacity=90)
}

.note-dialog .note-help-dialog .modal-content {
	background: transparent;
	border: 1px solid white;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none
}

.note-dialog .note-help-dialog a {
	font-size: 12px;
	color: white
}

.note-dialog .note-help-dialog .title {
	padding-bottom: 5px;
	margin-bottom: 10px;
	font-size: 14px;
	font-weight: bold;
	color: white;
	border-bottom: white 1px solid
}

.note-dialog .note-help-dialog .modal-close {
	font-size: 14px;
	color: #dd0;
	cursor: pointer
}

.note-dialog .note-help-dialog .text-center {
	margin: 10px 0 0
}

.note-dialog .note-help-dialog .note-shortcut {
	padding-top: 8px;
	padding-bottom: 8px
}

.note-dialog .note-help-dialog .note-shortcut-row {
	margin-right: -5px;
	margin-left: -5px
}

.note-dialog .note-help-dialog .note-shortcut-col {
	padding-right: 5px;
	padding-left: 5px
}

.note-dialog .note-help-dialog .note-shortcut-title {
	font-size: 13px;
	font-weight: bold;
	color: #dd0
}

.note-dialog .note-help-dialog .note-shortcut-key {
	font-family: "Courier New";
	color: #dd0;
	text-align: right
}

.note-handle .note-control-selection {
	position: absolute;
	display: none;
	border: 1px solid black
}

.note-handle .note-control-selection>div {
	position: absolute
}

.note-handle .note-control-selection .note-control-selection-bg {
	width: 100%;
	height: 100%;
	background-color: black;
	-webkit-opacity: .3;
	-khtml-opacity: .3;
	-moz-opacity: .3;
	opacity: .3;
	-ms-filter: alpha(opacity=30);
	filter: alpha(opacity=30)
}

.note-handle .note-control-selection .note-control-handle {
	width: 7px;
	height: 7px;
	border: 1px solid black
}

.note-handle .note-control-selection .note-control-holder {
	width: 7px;
	height: 7px;
	border: 1px solid black
}

.note-handle .note-control-selection .note-control-sizing {
	width: 7px;
	height: 7px;
	background-color: white;
	border: 1px solid black
}

.note-handle .note-control-selection .note-control-nw {
	top: -5px;
	left: -5px;
	border-right: 0;
	border-bottom: 0
}

.note-handle .note-control-selection .note-control-ne {
	top: -5px;
	right: -5px;
	border-bottom: 0;
	border-left: none
}

.note-handle .note-control-selection .note-control-sw {
	bottom: -5px;
	left: -5px;
	border-top: 0;
	border-right: 0
}

.note-handle .note-control-selection .note-control-se {
	right: -5px;
	bottom: -5px;
	cursor: se-resize
}

.note-handle .note-control-selection .note-control-se.note-control-holder {
	cursor: default;
	border-top: 0;
	border-left: none
}

.note-handle .note-control-selection .note-control-selection-info {
	right: 0;
	bottom: 0;
	padding: 5px;
	margin: 5px;
	font-size: 12px;
	color: white;
	background-color: black;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	-webkit-opacity: .7;
	-khtml-opacity: .7;
	-moz-opacity: .7;
	opacity: .7;
	-ms-filter: alpha(opacity=70);
	filter: alpha(opacity=70)
}


.note-editor {
    border-color: $border-color;
    @include border-radius($border-radius-base);
    .btn-toolbar {
        margin-left: 0;
        padding: 0;
    }
    .btn-toolbar .btn-group {
        margin: 0;
    }
    .btn-group .btn {
        @include border-radius(0);
        @include box-shadow(none);
        height: 40px;
        line-height: 40px;
        min-width: 40px;
        padding: 0 10px;
        background-color: #f5f5f5;
        border-top: 0;
        border-bottom-color: $border-color;
        border-left: 0;
        border-right-color: $border-color;
        color: $text-color;
        &.active, &:hover {
            background-color: #ececec;
        }
    }
    .btn-group .btn + .btn,
    .btn-group .btn + .btn-group,
    .btn-group .btn-group + .btn,
    .btn-group .btn-group + .btn-group {
        margin-left: 0;
    }
    .note-toolbar {
        border-color: $border-color;
        border-bottom: 0;
    }
    .dropdown-menu {
        margin: 0;
        border-top-right-radius: 0;
        border-top-left-radius: 0;
    }
    .note-editable {
        background-color: white;
        min-height: 150px;
    }
}
